## r-bioc-ggbio 1.42.0

=== DESCRIPTION ===
Package: ggbio
Version: 1.42.0
Title: Visualization tools for genomic data
Description: The ggbio package extends and specializes the grammar of
        graphics for biological data. The graphics are designed to
        answer common scientific questions, in particular those often
        asked of high throughput genomics data. All core Bioconductor
        data structures are supported, where appropriate. The package
        supports detailed views of particular genomic regions, as well
        as genome-wide overviews. Supported overviews include ideograms
        and grand linear views. High-level plots include sequence
        fragment length, edge-linked interval to data view, mismatch
        pileup, and several splicing summaries.
Authors@R: c(person("Tengfei", "Yin", role=c("aut"),
                 email="yintengfei@gmail.com"),
          person("Michael", "Lawrence", role=c("aut", "ths", "cre"),
                 email="michafla@gene.com"),
          person("Dianne", "Cook", role=c("aut", "ths")),
          person("Johannes", "Rainer", role="ctb"))
Depends: methods, BiocGenerics, ggplot2 (>= 1.0.0)
Imports: grid, grDevices, graphics, stats, utils, gridExtra, scales,
        reshape2, gtable, Hmisc, biovizBase (>= 1.29.2), Biobase,
        S4Vectors (>= 0.13.13), IRanges (>= 2.11.16), GenomeInfoDb (>=
        1.1.3), GenomicRanges (>= 1.29.14), SummarizedExperiment,
        Biostrings, Rsamtools (>= 1.17.28), GenomicAlignments (>=
        1.1.16), BSgenome, VariantAnnotation (>= 1.11.4), rtracklayer
        (>= 1.25.16), GenomicFeatures (>= 1.29.11), OrganismDbi,
        GGally, ensembldb (>= 1.99.13), AnnotationDbi,
        AnnotationFilter, rlang
VignetteBuilder: knitr
Suggests: vsn, BSgenome.Hsapiens.UCSC.hg19, Homo.sapiens,
        TxDb.Hsapiens.UCSC.hg19.knownGene,
        TxDb.Mmusculus.UCSC.mm9.knownGene, knitr, BiocStyle, testthat,
        EnsDb.Hsapiens.v75, tinytex
URL: https://lawremi.github.io/ggbio/
BugReports: https://github.com/lawremi/ggbio/issues
License: Artistic-2.0
LazyLoad: Yes
Collate: AllClasses.R AllGenerics.R Cache-class.R GGbio-class.R
        Grob-class.R ideogram.R Tracked-class.R Plot-class.R
        ggplot-method.R theme.R Tracks-class.R geom_chevron-method.R
        geom_alignment-method.R geom_arch-method.R geom_arrow-method.R
        geom_arrowrect-method.R geom_rect-method.R
        geom_segment-method.R geom_bar-method.R layout_circle-method.R
        layout_karyogram-method.R layout_linear-method.R
        stat_aggregate-method.R stat_coverage-method.R
        stat_identity-method.R stat_mismatch-method.R
        stat_stepping-method.R stat_gene-method.R stat_table-method.R
        stat_bin-method.R stat_slice-method.R stat_reduce-method.R
        coord_genome-method.R autoplot-method.R hack.R
        plotGrandLinear.R plotRangesLinkedToData.R
        plotFragLength-method.R plotSpliceSum-method.R rescale-method.R
        scales.R utils.R zzz.R
biocViews: Infrastructure, Visualization
git_url: https://git.bioconductor.org/packages/ggbio
git_branch: RELEASE_3_14
git_last_commit: 3540047
git_last_commit_date: 2021-10-27
Date/Publication: 2021-11-02
NeedsCompilation: no
Packaged: 2021-11-02 21:31:37 UTC; biocbuild
Author: Tengfei Yin [aut],
  Michael Lawrence [aut, ths, cre],
  Dianne Cook [aut, ths],
  Johannes Rainer [ctb]
Maintainer: Michael Lawrence <michafla@gene.com>

=== vignettes/Makefile ===
# Makefile to use knitr for package vignettes

# put all PDF targets here, separated by spaces
PDFS= ggbio.pdf

all: $(PDFS) 

clean:
	rm -f *.tex *.bbl *.blg *.aux *.out *.log *.spl *tikzDictionary *.toc
	rm -f figures/ggbio-*	ggbio-*
	cp fakevignettes/*.Rnw .
	
%.pdf: %.Rnw
	cp realvignettes/*.Rnw .
	$(R_HOME)/bin/Rscript -e "library(knitr); knit2pdf('$*.Rnw')"

=== debian/changelog ===
r-bioc-ggbio (1.42.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.42.0

 -- Nilesh Patra <nilesh@debian.org>  Fri, 26 Nov 2021 19:59:54 +0530

r-bioc-ggbio (1.40.0-2) unstable; urgency=medium

  * Team upload.
  * Add test-dep on r-bioc-organismdbi

 -- Nilesh Patra <nilesh@debian.org>  Sun, 14 Nov 2021 14:10:36 +0530

r-bioc-ggbio (1.40.0-1) unstable; urgency=medium

  * Initial release (closes: #992709)

 -- Steffen Moeller <moeller@debian.org>  Wed, 29 Sep 2021 12:47:39 +0200

=== debian/control ===
Source: r-bioc-ggbio
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-cran-ggplot2,
               r-cran-gridextra,
               r-cran-scales,
               r-cran-reshape2,
               r-cran-gtable,
               r-cran-hmisc,
               r-bioc-biovizbase,
               r-bioc-biobase,
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-genomeinfodb,
               r-bioc-genomicranges,
               r-bioc-summarizedexperiment,
               r-bioc-biostrings,
               r-bioc-rsamtools,
               r-bioc-genomicalignments,
               r-bioc-bsgenome,
               r-bioc-variantannotation,
               r-bioc-rtracklayer,
               r-bioc-genomicfeatures,
               r-bioc-organismdbi,
               r-cran-ggally,
               r-bioc-ensembldb,
               r-bioc-annotationdbi,
               r-bioc-annotationfilter,
               r-cran-rlang
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ggbio
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ggbio.git
Homepage: https://bioconductor.org/packages/ggbio/
Rules-Requires-Root: no

Package: r-bioc-ggbio
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Visualization tools for genomic data
 The ggbio package extends and specializes the grammar of
 graphics for biological data. The graphics are designed to
 answer common scientific questions, in particular those often
 asked of high throughput genomics data. All core Bioconductor
 data structures are supported, where appropriate. The package
 supports detailed views of particular genomic regions, as well
 as genome-wide overviews. Supported overviews include ideograms
 and grand linear views. High-level plots include sequence
 fragment length, edge-linked interval to data view, mismatch
 pileup, and several splicing summaries.

## r-bioc-ggbio 1.44.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: ggbio
-Version: 1.42.0
+Version: 1.44.1
 Title: Visualization tools for genomic data
 Description: The ggbio package extends and specializes the grammar of
         graphics for biological data. The graphics are designed to
@@ -53,12 +53,12 @@
         scales.R utils.R zzz.R
 biocViews: Infrastructure, Visualization
 git_url: https://git.bioconductor.org/packages/ggbio
-git_branch: RELEASE_3_14
-git_last_commit: 3540047
-git_last_commit_date: 2021-10-27
-Date/Publication: 2021-11-02
+git_branch: RELEASE_3_15
+git_last_commit: 0301d94
+git_last_commit_date: 2022-06-22
+Date/Publication: 2022-06-23
 NeedsCompilation: no
-Packaged: 2021-11-02 21:31:37 UTC; biocbuild
+Packaged: 2022-06-23 20:39:47 UTC; biocbuild
 Author: Tengfei Yin [aut],
   Michael Lawrence [aut, ths, cre],
   Dianne Cook [aut, ths],

=== debian/changelog ===
r-bioc-ggbio (1.44.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jun 2022 14:03:42 +0200

r-bioc-ggbio (1.44.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 17 May 2022 08:42:58 +0200

## r-bioc-ggbio 1.46.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: ggbio
-Version: 1.44.1
+Version: 1.46.0
 Title: Visualization tools for genomic data
 Description: The ggbio package extends and specializes the grammar of
         graphics for biological data. The graphics are designed to
@@ -53,12 +53,12 @@
         scales.R utils.R zzz.R
 biocViews: Infrastructure, Visualization
 git_url: https://git.bioconductor.org/packages/ggbio
-git_branch: RELEASE_3_15
-git_last_commit: 0301d94
-git_last_commit_date: 2022-06-22
-Date/Publication: 2022-06-23
+git_branch: RELEASE_3_16
+git_last_commit: d9c6cb4
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-06-23 20:39:47 UTC; biocbuild
+Packaged: 2022-11-01 21:42:09 UTC; biocbuild
 Author: Tengfei Yin [aut],
   Michael Lawrence [aut, ths, cre],
   Dianne Cook [aut, ths],

=== debian/changelog ===
r-bioc-ggbio (1.46.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Nov 2022 09:38:53 +0100

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                r-bioc-annotationdbi,
                r-bioc-annotationfilter,
                r-cran-rlang
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ggbio
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ggbio.git
 Homepage: https://bioconductor.org/packages/ggbio/

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-bioc-organismdbi
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/ggbio.html .*/ggbio_(.*).tar.gz

## r-bioc-ggbio 1.48.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: ggbio
-Version: 1.46.0
+Version: 1.48.0
 Title: Visualization tools for genomic data
 Description: The ggbio package extends and specializes the grammar of
         graphics for biological data. The graphics are designed to
@@ -53,12 +53,12 @@
         scales.R utils.R zzz.R
 biocViews: Infrastructure, Visualization
 git_url: https://git.bioconductor.org/packages/ggbio
-git_branch: RELEASE_3_16
-git_last_commit: d9c6cb4
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: fd4ebca
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: no
-Packaged: 2022-11-01 21:42:09 UTC; biocbuild
+Packaged: 2023-04-25 21:17:35 UTC; biocbuild
 Author: Tengfei Yin [aut],
   Michael Lawrence [aut, ths, cre],
   Dianne Cook [aut, ths],

=== debian/changelog ===
r-bioc-ggbio (1.48.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Replace d/t/control by d/t/autopkgtest-r-pkg

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 22:19:18 +0200

## r-bioc-ggbio 1.50.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: ggbio
-Version: 1.48.0
+Version: 1.50.0
 Title: Visualization tools for genomic data
 Description: The ggbio package extends and specializes the grammar of
         graphics for biological data. The graphics are designed to
@@ -53,12 +53,12 @@
         scales.R utils.R zzz.R
 biocViews: Infrastructure, Visualization
 git_url: https://git.bioconductor.org/packages/ggbio
-git_branch: RELEASE_3_17
-git_last_commit: fd4ebca
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: ec89905
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-11-01
 NeedsCompilation: no
-Packaged: 2023-04-25 21:17:35 UTC; biocbuild
+Packaged: 2023-11-01 21:03:30 UTC; biocbuild
 Author: Tengfei Yin [aut],
   Michael Lawrence [aut, ths, cre],
   Dianne Cook [aut, ths],

=== debian/changelog ===
r-bioc-ggbio (1.50.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 08 Dec 2023 15:47:52 +0100

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                r-bioc-annotationdbi,
                r-bioc-annotationfilter,
                r-cran-rlang
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ggbio
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ggbio.git
 Homepage: https://bioconductor.org/packages/ggbio/

## r-bioc-ggbio 1.52.0

=== debian/changelog ===
r-bioc-ggbio (1.52.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:52:05 +0200

r-bioc-ggbio (1.52.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 15:45:03 +0200

r-bioc-ggbio (1.52.0-1~0exp) experimental; urgency=low

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 11:25:45 +0200

=== debian/control ===
Source: r-bioc-ggbio
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.50.0),
               r-cran-ggplot2,
               r-cran-gridextra,
               r-cran-scales,
               r-cran-reshape2,
               r-cran-gtable,
               r-cran-hmisc,
               r-bioc-biovizbase (>= 1.52.0),
               r-bioc-biobase (>= 2.64.0),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-genomeinfodb (>= 1.40.1),
               r-bioc-genomicranges (>= 1.56.1),
               r-bioc-summarizedexperiment (>= 1.34.0),
               r-bioc-biostrings (>= 2.72.1),
               r-bioc-rsamtools (>= 2.20.0),
               r-bioc-genomicalignments (>= 1.40.0),
               r-bioc-bsgenome (>= 1.72.0),
               r-bioc-variantannotation (>= 1.50.0),
               r-bioc-rtracklayer (>= 1.64.0),
               r-bioc-genomicfeatures (>= 1.56.0),
               r-bioc-organismdbi (>= 1.46.0),
               r-cran-ggally,
               r-bioc-ensembldb (>= 2.28.0),
               r-bioc-annotationdbi (>= 1.66.0),
               r-bioc-annotationfilter (>= 1.28.0),
               r-cran-rlang
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ggbio
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ggbio.git
Homepage: https://bioconductor.org/packages/ggbio/
Rules-Requires-Root: no

Package: r-bioc-ggbio
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-biovizbase (>= 1.52.0),
         r-bioc-biobase (>= 2.64.0),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-genomeinfodb (>= 1.40.1),
         r-bioc-genomicranges (>= 1.56.1),
         r-bioc-summarizedexperiment (>= 1.34.0),
         r-bioc-biostrings (>= 2.72.1),
         r-bioc-rsamtools (>= 2.20.0),
         r-bioc-genomicalignments (>= 1.40.0),
         r-bioc-bsgenome (>= 1.72.0),
         r-bioc-variantannotation (>= 1.50.0),
         r-bioc-rtracklayer (>= 1.64.0),
         r-bioc-genomicfeatures (>= 1.56.0),
         r-bioc-organismdbi (>= 1.46.0),
         r-bioc-ensembldb (>= 2.28.0),
         r-bioc-annotationdbi (>= 1.66.0),
         r-bioc-annotationfilter (>= 1.28.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-biocstyle (>= 2.32.1)
Description: Visualization tools for genomic data
 The ggbio package extends and specializes the grammar of
 graphics for biological data. The graphics are designed to
 answer common scientific questions, in particular those often
 asked of high throughput genomics data. All core Bioconductor
 data structures are supported, where appropriate. The package
 supports detailed views of particular genomic regions, as well
 as genome-wide overviews. Supported overviews include ideograms
 and grand linear views. High-level plots include sequence
 fragment length, edge-linked interval to data view, mismatch
 pileup, and several splicing summaries.

## r-bioc-ggbio 1.54.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: ggbio
-Version: 1.50.0
+Version: 1.54.0
 Title: Visualization tools for genomic data
 Description: The ggbio package extends and specializes the grammar of
         graphics for biological data. The graphics are designed to
@@ -53,12 +53,13 @@
         scales.R utils.R zzz.R
 biocViews: Infrastructure, Visualization
 git_url: https://git.bioconductor.org/packages/ggbio
-git_branch: RELEASE_3_18
-git_last_commit: ec89905
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-11-01
+git_branch: RELEASE_3_20
+git_last_commit: f8a48fa
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2023-11-01 21:03:30 UTC; biocbuild
+Packaged: 2024-10-30 00:57:11 UTC; biocbuild
 Author: Tengfei Yin [aut],
   Michael Lawrence [aut, ths, cre],
   Dianne Cook [aut, ths],

=== debian/changelog ===
r-bioc-ggbio (1.54.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Jan 2025 11:23:32 +0100

r-bioc-ggbio (1.54.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 03 Dec 2024 18:07:07 +0100

=== debian/control ===
Source: r-bioc-ggbio
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-cran-ggplot2,
               r-cran-gridextra,
               r-cran-scales,
               r-cran-reshape2,
               r-cran-gtable,
               r-cran-hmisc,
               r-bioc-biovizbase,
               r-bioc-biobase,
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-genomeinfodb,
               r-bioc-genomicranges,
               r-bioc-summarizedexperiment,
               r-bioc-biostrings,
               r-bioc-rsamtools,
               r-bioc-genomicalignments,
               r-bioc-bsgenome,
               r-bioc-variantannotation,
               r-bioc-rtracklayer,
               r-bioc-genomicfeatures,
               r-bioc-organismdbi,
               r-cran-ggally,
               r-bioc-ensembldb,
               r-bioc-annotationdbi,
               r-bioc-annotationfilter,
               r-cran-rlang
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ggbio
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ggbio.git
Homepage: https://bioconductor.org/packages/ggbio/
Rules-Requires-Root: no

Package: r-bioc-ggbio
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Visualization tools for genomic data
 The ggbio package extends and specializes the grammar of
 graphics for biological data. The graphics are designed to
 answer common scientific questions, in particular those often
 asked of high throughput genomics data. All core Bioconductor
 data structures are supported, where appropriate. The package
 supports detailed views of particular genomic regions, as well
 as genome-wide overviews. Supported overviews include ideograms
 and grand linear views. High-level plots include sequence
 fragment length, edge-linked interval to data view, mismatch
 pileup, and several splicing summaries.
